{{/*
Полное имя для сервиса exploit-gate
<Имя инстанса> = Release.Name
*/}}
{{- define "exploit-gate.fullname" -}}
{{- printf "%s-%s" "exploit-gate" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
 метка exploit-gate
*/}}
{{- define "exploit-gate.labels" -}}
app.kubernetes.io/component: exploit-gate
{{ include "exploit-gate.selectorLabels" . }}
{{- end }}

{{/*
Selector exploit-gate
*/}}
{{- define "exploit-gate.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/name: {{ .Chart.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
app: {{ include "exploit-gate.fullname" . }}
{{- end }}

{{/*
Имя config-exploit-gate для exploit-gate
*/}}
{{- define "exploit-gate.config" -}}
{{- printf "%s-%s" "exploit-gate.cfg" .Release.Name  | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}
